Multimedia-api isntall error

Jetson AGX Orin DEV Kit
Jetpack 5.1
SDK Manager 1.9.1.10844 x86_64

multimedia-api only install error

sudo apt install nvidia-l4t-jetson-multimedia-api
Reading package lists… Done
Building dependency tree
Reading state information… Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
nvidia-l4t-jetson-multimedia-api : Depends: nvidia-l4t-camera (= 35.2.1-20230121191456) but 35.2.1-20230124153320 is to be installed
Depends: nvidia-l4t-multimedia (= 35.2.1-20230121191456) but 35.2.1-20230124153320 is to be installed
Depends: nvidia-l4t-multimedia-utils (= 35.2.1-20230121191456) but 35.2.1-20230124153320 is to be installed
E: Unable to correct problems, you have held broken packages.

cat /etc/nv_tegra_release

R35 (release), REVISION: 2.1, GCID: 32413640, BOARD: t186ref, EABI: aarch64, DATE: Tue Jan 24 23:38:33 UTC 2023

SDK manager log

10:14:07 SUMMARY: Flash Jetson Linux - flash: Install completed successfully.

10:24:26 ERROR: Connection to 192.168.55.1 22 port [tcp/ssh] succeeded!

10:24:42 ERROR: command terminated with error

10:24:42 ERROR: command terminated with error

10:24:42 ERROR: command terminated with error

10:24:43 ERROR: command terminated with error

10:24:43 ERROR: command terminated with error

10:24:43 ERROR: command terminated with error

10:24:43 ERROR: command terminated with error

10:24:44 ERROR: command terminated with error

10:24:44 ERROR: command terminated with error

10:24:44 ERROR: command terminated with error

10:24:45 ERROR: command terminated with error

10:24:45 ERROR: command terminated with error

10:24:58 SUMMARY: DateTime Target Setup - target: Install completed successfully.

10:28:45 SUMMARY: CUDA Runtime - target: Install completed successfully.

10:31:15 SUMMARY: CuDNN Runtime - target: Install completed successfully.

10:33:47 SUMMARY: TensorRT Runtime - target: Install completed successfully.

10:35:40 SUMMARY: NVIDIA Container Runtime with Docker integration (Beta) - target: Install completed successfully.

10:35:57 ERROR: Multimedia API - target: E: Unable to correct problems, you have held broken packages.

10:36:08 ERROR: Multimedia API - target: E: Unable to correct problems, you have held broken packages.

10:36:29 ERROR: Multimedia API - target: E: Unable to correct problems, you have held broken packages.

10:36:29 ERROR: Multimedia API - target: Unhandled error when running sudo -E apt-get -y --allow-downgrades install /opt/nvidia/deb_repos/nvidia-l4t-jetson-multimedia-api_35.2.1-20230121191456_arm64.deb: E: Unable to correct problems, you have held broken packages.;

10:36:29 ERROR: Multimedia API - target: command terminated with error

10:36:29 SUMMARY: Multimedia API - target: First Error: Installation failed. . Your device BSP image version is incompatible with the software version you are trying to install. Please flash your device with the right BSP version and try to re-install.

10:40:17 SUMMARY: CUDA Toolkit for L4T - target: Install completed successfully.

10:42:10 SUMMARY: cuDNN on Target - target: Install completed successfully.

10:44:06 SUMMARY: TensorRT on Target - target: Install completed successfully.

10:44:06 SUMMARY: OpenCV Runtime - target: Install completed successfully.

10:45:10 SUMMARY: OpenCV - target: Install completed successfully.

10:45:26 SUMMARY: CuPVA Runtime - target: Install completed successfully.

10:46:35 SUMMARY: VPI Runtime - target: Install completed successfully.

10:47:43 SUMMARY: VPI on Target - target: Install completed successfully.

10:48:04 SUMMARY: File System and OS - target_image: Install completed successfully.

Hi user17105,

Please remove JetPack-5.1 folder and re-download and install again.
We use the same SDK Manager version and install JetPack-5.1 on Orin, no issue, please try again. Thanks!

Hello,

I had the same issue last friday and would like to know which folder should i delete and reinstall?

I cleared the download folder /home/USER/Downloads/nvidia/sdkm_downloads and deleted the Jetpack_5.1 and JetPack_5.1_Linux_JETSON_AGX_ORIN_TARGETS /home/USER/nvidia/nvidia_sdk.

But the result is the same.

Thanks!

Hi aatif.97germany,

Please try to remove below two folder and try again:

$ sudo rm -R /home/USER/nvidia/nvidia_sdk/JetPack_5.1_Linux_JETSON_AGX_ORIN_TARGETS 
$ sudo rm -R ~/.nvsdkm

I was able to install.Thanks

sudo apt install nvidia-l4t-jetson-multimedia-api 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
  nvidia-l4t-jetson-multimedia-api
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 75.3 MB of archives.
After this operation, 96.4 MB of additional disk space will be used.
Get:1 https://repo.download.nvidia.com/jetson/common r35.2/main arm64 nvidia-l4t-jetson-multimedia-api arm64 35.2.1-20230124153320 [75.3 MB]
Fetched 75.3 MB in 16s (4,748 kB/s)                                            
debconf: delaying package configuration, since apt-utils is not installed
Selecting previously unselected package nvidia-l4t-jetson-multimedia-api.
(Reading database ... 237032 files and directories currently installed.)
Preparing to unpack .../nvidia-l4t-jetson-multimedia-api_35.2.1-20230124153320_a
rm64.deb ...

Unpacking nvidia-l4t-jetson-multimedia-api (35.2.1-20230124153320) ...
Setting up nvidia-l4t-jetson-multimedia-api (35.2.1-20230124153320) ...
2 Likes

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.